<?php
/**
 * Created by PhpStorm.
 * User: gets
 * Date: 4/4/2019
 * Time: 3:14 PM
 */

namespace App\Http\Middleware;

use App\Classes\MResponse;
use Closure;

class ClientMiddleware
{

    public function handle($request, Closure $next, $guard = null)
    {
        $token = $request->header('Authorization');
        $response = new MResponse();

        if (empty($token)) {
            $response->message = 'Token not provided';
            return response()->json($response, 401);
        }

        $authUser = [
            'token' => $token
        ];

        $request->auth = $authUser;

        return $next($request);
    }
}
